using System;

namespace WebImageLib
{
	public class WebImage 
	{
		string smallImage;
		string largeImage;
		string page;

		public WebImage(string s, string l, string p) 
		{
			smallImage = s;
			largeImage = l;
			page = p;
		}

		public string SmallImageURL { get { return smallImage; } }
		public string LargeImageURL { get { return largeImage;  } }
		public string DetailPageURL { get { return page; } }
	}

	public interface IWebImage 
	{
		// \p̌TCg̖O
		string Name { get; }

		// ݂̃y[Wԍ
		int CurrentPage { get; }
  
		WebImage[] GetImages(string query); // 1y[W̉摜擾
		bool MoveNext(); // y[WɈړ
		void Reset(); // 
	}
}
